import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:puzzlegame/common/config/activity_page.dart';
import 'package:puzzlegame/common/cubit/nav/nav_cubit_pages.dart';

class ScreenActivity extends StatelessWidget {
  const ScreenActivity({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<NavCubitPage, int>(
      builder: (BuildContext context, int pageIndex) {
        return ActivityPage.getWidget(pageIndex);
      },
    );
  }
}
